// $Date:: 2009-08-16 16:52:59 +0900#$
// $Rev: 3 $


#include "AniNR.h"

/**************************************************************************************************/
/* Global                                                                                         */
/**************************************************************************************************/
//==============================================================================
// Create_AniNR
//==============================================================================
AVSValue __cdecl Create_AniNR(AVSValue args, void* user_data, IScriptEnvironment* env)
{
    PClip c = args[0].AsClip() ;
    if ( c->GetVideoInfo ().IsYV12 () )
        return new AniNR(c, args[1].AsInt(20), args[2].AsInt(40), args[3].AsInt(10), env);

    env->ThrowError("AniNR: Requires YV12 input");
    return NULL ;
}

//==============================================================================
// AvisynthPluginInit2
//==============================================================================
extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit2(IScriptEnvironment* env)
{
    env->AddFunction("AniNR", "c[strength]i[threshold1]i[threshold2]i", Create_AniNR, 0);
    return "AniNR ver 0.1";
}
